sampler CC_Texture0;
sampler CC_Texture1;
sampler CC_Texture2;

struct PS_INPUT
{
	float4 color : COLOR0; 
	float2 texcoord0 : TEXCOORD0;
};

float powOfGradient;

float4 main( in PS_INPUT input ) : COLOR
{
	float4 startColor = tex2D( CC_Texture0, input.texcoord0 );
	float4 endColor = tex2D( CC_Texture1, input.texcoord0 );
	float4 fxColor = tex2D( CC_Texture2, input.texcoord0 );
	float4 color;

	if ( powOfGradient < fxColor.r && fxColor.a > 0.0 )
	{
		color = endColor;
		//color.a = 1.0;
	}
	else if ( powOfGradient < fxColor.r + 0.2 && fxColor.a > 0.0 )
	{
		float t = ( powOfGradient - fxColor.r ) / 0.2;
		color = lerp ( endColor, startColor, t );
		//color.a = 1.0;
		//color.r = t;
		//color.g = t;
		//color.b = t;
	}
	else
		color = startColor;

	
	return color;
}
