sampler CC_Texture0;
sampler CC_Texture1;

struct PS_INPUT
{
	float4 color : COLOR0; 
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{
	float4 color = tex2D( CC_Texture0, input.texcoord0 );
	float colorA = color.a;
	
	float4 fxColor = tex2D( CC_Texture1, input.texcoord0 );

	float curAlpha = 1.0f - input.color.a;

	if ( curAlpha > fxColor.r - 0.03f )
	{
		color = color + color + color * 0.5f;
		color.r = color.r + color.r + color.r;
		color.g = color.g + color.g * 0.4f;
		color.a = 1.0f;
	}
	
	if ( curAlpha > fxColor.r + 0.03f )
	{
		color = float4( 0.0f, 0.0f, 0.0f, 0.0f );
	}
	else
		color.a = colorA + colorA * 0.1 - 0.1;
		
	return color;
}
