sampler CC_Texture0;	// Y
sampler CC_Texture1;	// U
sampler CC_Texture2;	// V
sampler CC_Texture3;	// A

struct PS_INPUT
{
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{
/*	float colorY = tex2D( CC_Texture0, input.texcoord0 ).r;
	float colorU = tex2D( CC_Texture1, input.texcoord0 ).r;
	float colorV = tex2D( CC_Texture2, input.texcoord0 ).r;
	float colorA = tex2D( CC_Texture3, input.texcoord0 ).r;
	*/
	float4 colorVector = float4( tex2D( CC_Texture0, input.texcoord0 ).r, tex2D( CC_Texture1, input.texcoord0 ).r, tex2D( CC_Texture2, input.texcoord0 ).r, tex2D( CC_Texture3, input.texcoord0 ).r );
	
	//const float4 subConstantVector = float4( 0.0625, 0.51, 0.51, 0.0 );
	//const float4 mulConstantVector = float4( 1.596, 0.813, 0.301, 2.018 );
	
	const float4 subConstantVector = float4( 0.0625, 0.51, 0.50, 0.0 );
	const float4 mulConstantVector = float4( 1.596, 0.813, 0.391, 2.018 );
	
	float4 rgba;

	colorVector = colorVector - subConstantVector; 
	colorVector[0] = colorVector[0] * 1.164;
	
	float4 mulColorVector = float4( colorVector[2], colorVector[2], colorVector[1], colorVector[1]	);
	mulColorVector = mulColorVector * mulConstantVector;
	
	float3 resultColor = float3( colorVector[0], colorVector[0], colorVector[0] );
	float3 operandsResultColor = float3( mulColorVector[0], -mulColorVector[1] - mulColorVector[2], mulColorVector[3] );
	
	rgba.rgb = resultColor + operandsResultColor;
	
	rgba.a = colorVector.a * 1.2 - 0.1;
	
	/*rgba.b = 1.164 * (colorY - 0.0625) + 2.018 * (colorU - 0.5);
	rgba.g = 1.164 * (colorY - 0.0625) - 0.813*(colorV - 0.5) - 0.391*(colorU - 0.5);
	rgba.r = 1.164 * (colorY - 0.0625) + 1.596*(colorV - 0.5);*/
	
	/*colorY = colorY + colorY * 0.15 - 0.0575;

	float colorYminus = colorY - 0.0625;
	float colorUminus = colorU - 0.5;
	float colorVminus = colorV - 0.5;
	
	rgba.r = 0.164 * colorYminus + colorYminus + 0.596 * colorVminus + colorVminus;
	rgba.g = 0.164 * colorYminus + colorYminus - 0.813 * colorVminus - 0.391 * colorUminus;
	rgba.b = 0.164 * colorYminus + colorYminus + 0.018 * colorUminus + colorUminus + colorUminus;
	
	rgba.a = colorA + colorA * 0.2 - 0.1;	//clamp( (colorA - 0.1) * 1.1, 0.0, 1.0 );*/
	
	return rgba;
}
