sampler CC_Texture0;	// Y

struct PS_INPUT
{
	float2 texcoord0 : TEXCOORD0;
};

float4 main( in PS_INPUT input ) : COLOR
{
	float4 colorVector = tex2D( CC_Texture0, input.texcoord0 );
	

	const float4 subConstantVector = float4( 0.0625, 0.51, 0.50, 0.0 );
	const float4 mulConstantVector = float4( 1.596, 0.813, 0.391, 2.018 );
	
	float4 rgba;

	colorVector = colorVector - subConstantVector; 
	colorVector[0] = colorVector[0] * 1.164;
	
	float4 mulColorVector = float4( colorVector[2], colorVector[2], colorVector[1], colorVector[1]	);
	mulColorVector = mulColorVector * mulConstantVector;
	
	float3 resultColor = float3( colorVector[0], colorVector[0], colorVector[0] );
	float3 operandsResultColor = float3( mulColorVector[0], -mulColorVector[1] - mulColorVector[2], mulColorVector[3] );
	
	rgba.rgb = resultColor + operandsResultColor;
	
	rgba.a = colorVector.a * 1.2 - 0.1;
	
	return rgba;
}
