#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D CC_Texture0;
uniform sampler2D CC_Texture1;
uniform sampler2D CC_Texture2;

uniform float powOfGradient;

void main()
{
	vec4 startColor = texture2D( CC_Texture0, v_texCoord );
	vec4 endColor = texture2D( CC_Texture1, v_texCoord );
	vec4 fxColor = texture2D( CC_Texture2, v_texCoord );
	vec4 color;

	if ( powOfGradient < fxColor.r && fxColor.a > 0.0 )
	{
		color = endColor;
		//color.a = 1.0;
	}
	else if ( powOfGradient < fxColor.r + 0.2 && fxColor.a > 0.0 )
	{
		float t = ( powOfGradient - fxColor.r ) / 0.2;
		color = mix ( endColor, startColor, t );
		//color.a = 1.0;
		//color.r = t;
		//color.g = t;
		//color.b = t;
	}
	else
		color = startColor;

	
	gl_FragColor = color;
}
