#ifdef GL_ES
precision mediump float;
#endif
 

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
uniform sampler2D CC_Texture1;
 
void main()
{
	vec4 texColor = texture2D( CC_Texture0, v_texCoord );
	vec4 fxColor = texture2D( CC_Texture1, v_texCoord );
	
	float curAlpha = 1.0 - v_fragmentColor.a;
	float curEffect = fxColor.g;
	
	vec4 color = texColor;
	
	if ( curAlpha > fxColor.r + 0.03 )
	{
		color.a = 0.0;
		color.r = 0.0;
		color.g = 0.0;
		color.b = 0.0;
	}
	else if ( curAlpha > fxColor.r - 0.03 )
	{
		color *= 2.5;
		color.r *= 3.0;
		color.g *= 1.4;
		color.a = 1.0;
	}
	if ( texColor.a < 0.1 )
	{
		color.r = 0.0;
		color.g = 0.0;
		color.b = 0.0;
		color.a = 0.0;
	}
	
	gl_FragColor = color;
}