#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

uniform vec4 textureCoordinate;
uniform float percentage;

void main()
{
	vec4 normalColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	float deltaPercent = ( textureCoordinate.w - textureCoordinate.y )/100.0;
	float borderDelta = 0.01;
	
	if( normalColor.a > 0.0 )
	{
		float pixelPos = v_texCoord.y + sin( ( v_texCoord.x - textureCoordinate.x + percentage/200.0 ) * 500.0 )* 0.0008;
		float currentBorder = textureCoordinate.y + ( deltaPercent * percentage ) ;
		
		if( pixelPos > currentBorder )
		{
			normalColor.a = 1.0;
		}
		else
		{
			normalColor.a = 0.0;
			normalColor.r = 0.0;
			normalColor.g = 0.0;
			normalColor.b = 0.0;
		}
	}
	else	
	{
		normalColor.r = 0.0;
		normalColor.g = 0.0;
		normalColor.b = 0.0;
	}
	
	gl_FragColor = normalColor;
}
