#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
uniform sampler2D CC_Texture1;
uniform sampler2D CC_Texture2;
uniform sampler2D CC_Texture3;

#ifdef GL_ES
lowp vec3 subVec = vec3( -0.814, -0.07275, -1.009 );
mediump vec3 mulVec = vec3( 1.596, 1.164, 2.018 );
	
void main()
{
	lowp vec3 colorVec = vec3( texture2D( CC_Texture2, v_texCoord ).a, texture2D( CC_Texture0, v_texCoord ).a, texture2D( CC_Texture1, v_texCoord ).a );
	colorVec = colorVec * mulVec + subVec;
	
	lowp float colorY = colorVec[1];
	colorVec[1] = 0.0 - colorVec[0] * 0.509 - colorVec[2] * 0.1938;
	colorVec += colorY;

	gl_FragColor.rgb = colorVec;
	gl_FragColor.a = texture2D( CC_Texture3, v_texCoord ).a;
}
#else

vec3 subVec = vec3( -0.814, -0.07275, -1.009 );
vec3 mulVec = vec3( 1.596, 1.164, 2.018 );
	
void main()
{
	vec3 colorVec = vec3( texture2D( CC_Texture2, v_texCoord ).a, texture2D( CC_Texture0, v_texCoord ).a, texture2D( CC_Texture1, v_texCoord ).a );
	colorVec = colorVec * mulVec + subVec;
	
	float colorY = colorVec[1];
	colorVec[1] = - colorVec[0] * 0.509 - colorVec[2] * 0.1938;
	colorVec += colorY;

	gl_FragColor.rgb = colorVec;
	gl_FragColor.a = texture2D( CC_Texture3, v_texCoord ).a;
}

#endif
